export declare type PackageManager = "npm" | "yarn" | "pnpm";
export declare const checkForLockfiles: (directory: string) => Promise<({
    exists: boolean;
    type: "yarn";
    file: "yarn.lock";
} | {
    exists: boolean;
    type: "pnpm";
    file: "pnpm-lock.yaml";
} | {
    exists: boolean;
    type: "npm";
    file: "package-lock.json";
} | {
    exists: boolean;
    type: "npm";
    file: "npm-shrinkwrap.json";
})[]>;
export declare const detectPackageManager: (directory: string, preference?: PackageManager) => Promise<PackageManager>;
