import { PeerDependencyIssues } from "@pnpm/core";
declare type PeerDependencyIssue = {
    package: string;
    wantedVersion: string;
    wantedBy: {
        package: string;
        version: string;
    }[];
    installedVersion?: string;
    optional: boolean;
};
/** Reduce pnpm PeerDependencyIssues to a single array*/
export declare const simplifyPeerDependencyIssues: (issues: PeerDependencyIssues) => PeerDependencyIssue[];
export {};
